/* =============================================
   ПРЕИМУЩЕСТВА
   ============================================= */

.advantages { padding: 60px 0 0; }

.advantages .container {
  max-width: 1400px;
}

.advantages__box {
  position: relative;
  overflow: hidden;
  background: var(--warm-ivory);
  border-width: 2px, 2px, 0px, 0px;
  border-style: solid;
  border-color: #F6C85F;
  box-shadow: 0px 1px 2px 0px #00000040;
  border-radius: 24px;
  padding: 60px;
  display: grid;
  gap: 20px;
  grid-template-columns: 1fr 1fr;
  align-items: flex-start;
}

.advantages__bg {
  position: absolute;
  inset: 0;
  z-index: 0;
}
.advantages__bg picture,
.advantages__bg img { display: block; width: 100%; height: 100%; object-fit: cover; }

.advantages__head { position: relative;  z-index: 1; }
.advantages__title { margin-bottom: 20px; }
.advantages__description { color: var(--graphite); margin-bottom: 50px; }

.advantages__stat {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
  box-shadow: 0px 2px 2px 0px #F3C97A33;
  border: 1px solid var(--soft-sand);
  border-radius: 8px;
  padding: 24px 24px 20px 0;
  width: 100%;
  max-width: 488px;
}
.advantages__stat-value { color: var(--deep-navy); padding-left: 40px; position: relative; }
.advantages__stat-value::before {
  position: absolute;
  left: 0;
  top: 0;
  content: '';
  display: block;
  height: 100%;
  width: 4px;
  background-color: var(--soft-sand);
}
.advantages__stat-label { color: var(--graphite); max-width: 220px; }

.advantages__list {
  position: relative;
  flex: 1;
  min-width: 0;
  display: flex;
  flex-direction: column;
  z-index: 1;
}

.advantages__item {
  padding: 20px 20px 20px 100px;
  border-top: 2px solid var(--deep-navy);
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.advantages__item:first-child { border-top: none; padding-top: 0; }
.advantages__item:last-child { border-bottom: 2px solid var(--deep-navy); }

.advantages__item-head { display: flex; align-items: center; gap: 10px; position: relative; }
.advantages__item-dash { width: 70px; height: 2px; top: 50%; transform: translateY(-50%); left: -100px; position: absolute; background: var(--soft-sand); flex-shrink: 0; }
.advantages__item-title { color: var(--deep-navy);  }
.advantages__item-description { color: var(--graphite); }

@media (max-width: 1080px) {
  .advantages__box { grid-template-columns: 1fr; gap: 20px; }
  .advantages__head { flex: none; }
  .advantages__stat {
    max-width: 100%;
  }
}

@media (max-width: 768px) {
  .advantages { padding: 40px 0 0; }
  .advantages__box { padding: 10px 5px; border-radius: 12px; border-width: 2px, 2px, 0px, 0px;
box-shadow: 0px 1px 2px 0px #00000040, 0px 2px 2px 0px #00000040 inset;
 }
  .advantages__title { margin-bottom: 10px; }
  .advantages__description { margin-bottom: 20px; }
  .advantages__stat { padding: 10px; }
  .advantages__stat-value {
    height: 38px;
    padding-left: 10px;
  }

  .advantages__list {
    background-color: var(--white);
    box-shadow: 0px 2px 2px 0px #00000040;
    padding: 10px 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
    border-radius: 12px;
  }

  .advantages__item {
    padding: 0;
    padding-left: 44px;
    border: none;
  }

  .advantages__item:last-child {
    border: none;
  }

  .advantages__item-dash {
    left: -45px;
    width: 35px;
  }
}
